> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vocalistic.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Logs



## OpenAPI

````yaml /api-reference/openapi.json get /v1/logs
openapi: 3.1.0
info:
  description: ''
  title: Vocalistic API
  version: 1.0.0
servers:
  - url: https://api.vocalistic.ai
security: []
paths:
  /v1/logs:
    get:
      tags:
        - Logs
      summary: List Logs
      operationId: apps_logs_api_list_logs
      parameters:
        - in: query
          name: cursor
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cursor
        - in: query
          name: limit
          required: false
          schema:
            default: 50
            maximum: 100
            minimum: 1
            title: Limit
            type: integer
        - in: query
          name: status
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Status
        - in: query
          name: key_id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Key Id
        - in: query
          name: path_prefix
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Path Prefix
        - in: query
          name: start
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Start
        - in: query
          name: end
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: End
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LogPage'
          description: OK
      security:
        - ApiKeyAuth: []
        - UserSessionAuth: []
components:
  schemas:
    LogPage:
      properties:
        data:
          items:
            $ref: '#/components/schemas/LogOut'
          title: Data
          type: array
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      required:
        - data
        - next_cursor
      title: LogPage
      type: object
    LogOut:
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        credits:
          title: Credits
          type: number
        duration_ms:
          title: Duration Ms
          type: integer
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
        key_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Key Id
        method:
          title: Method
          type: string
        operation:
          anyOf:
            - type: string
            - type: 'null'
          title: Operation
        path:
          title: Path
          type: string
        request_id:
          title: Request Id
          type: string
        source:
          title: Source
          type: string
        status:
          title: Status
          type: integer
      required:
        - request_id
        - key_id
        - source
        - method
        - path
        - status
        - error_code
        - duration_ms
        - operation
        - credits
        - created_at
      title: LogOut
      type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.